Index: modules/uoa-services-portal/trunk/portal-2/src/app/services/searchDatasets.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/services/searchDatasets.service.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/services/searchDatasets.service.ts	(revision 49174)
@@ -78,7 +78,7 @@
                     .do(res => {
                       this._cache.set(key, res);
                     })
-                    .map(res => this.parseRefineResults(id, res['refineResults']));
+                    .map(res => this.parseRefineResults(id, res['refineResults']))
     }
 
     searchDatasetsByDois (DOIs: string[], refineParams:string, page: number, size: number, refineFields:string[] ):any {
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.service.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.service.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/dataProvider.service.ts	(revision 49174)
@@ -17,7 +17,7 @@
 
     getDataproviderInfo (id: string):any {
         console.info("getDataProviderInfo in service");
-        let url = OpenaireProperties.getSearchAPIURLLast() + 'datasources/' +id +"?format=json";
+        let url = OpenaireProperties.getSearchAPIURLLast() + 'datasources/' +id +"?formatt=json";
         let key = url;
         if (this._cache.has(key)) {
           return Observable.of(this._cache.get(key)).map(res => this.parseDataProviderInfo(res));
Index: modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/landingPages/dataProvider/datasourcesTab.component.ts	(revision 49174)
@@ -6,10 +6,12 @@
 @Component({
     selector: 'datasourcesTab',
     template: `
+        <!--div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
         <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.NONE" class="uk-alert uk-alert-primary uk-animation-fade" role="alert">No content providers available</div>
         <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.ERROR" class="uk-alert uk-alert-warning uk-animation-fade" role="alert">An Error Occured</div>
-        <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service not available</div>
-        <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.LOADING" class="uk-animation-fade uk-margin-top  uk-width-1-1" role="alert"><img src="./assets/loading.gif" class="uk-align-center" alt="Loading"></div>
+        <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.NOT_AVAILABLE" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">Service temprorarily unavailable. Please try again later.</div>
+        <div *ngIf="fetchDataproviders.searchUtils.status == errorCodes.NOT_FOUND" class="uk-alert uk-alert-danger uk-animation-fade" role="alert">No content providers found</div-->
+        <errorMessages [status]="[fetchDataproviders.searchUtils.status]" [type]="'content providers'"></errorMessages>
 
         <!--div *ngIf="fetchDataproviders.searchUtils.totalResults == 0" class = "uk-alert">
             No content providers available
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/find/search.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/find/search.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/find/search.component.ts	(revision 49174)
@@ -142,8 +142,8 @@
   public searchPublications() {
     this.activeTab = "publications";
     if( this.reloadPublications &&
-        this.fetchPublications.searchUtils.status != this.errorCodes.NONE &&
-        this.fetchPublications.searchUtils.status != this.errorCodes.ERROR) {
+        ( this.fetchPublications.searchUtils.status == this.errorCodes.LOADING ||
+          this.fetchPublications.searchUtils.status == this.errorCodes.DONE )) {
       this.reloadPublications = false;
       this.fetchPublications.getResultsByKeyword(this.keyword,  1, 10);
       this.linkToSearchPublications = OpenaireProperties.getLinkToSearchPublications();// + "?keyword="  + this.keyword;
@@ -152,8 +152,8 @@
    public searchDatasets() {
      this.activeTab = "research data";
      if(this.reloadDatasets &&
-        this.fetchDatasets.searchUtils.status != this.errorCodes.NONE &&
-        this.fetchDatasets.searchUtils.status != this.errorCodes.ERROR) {
+        ( this.fetchDatasets.searchUtils.status == this.errorCodes.LOADING ||
+          this.fetchDatasets.searchUtils.status == this.errorCodes.DONE )) {
        this.reloadDatasets = false;
        this.fetchDatasets.getResultsByKeyword(this.keyword,  1, 10);
        this.linkToSearchDatasets = OpenaireProperties.getLinkToSearchDatasets();// + "?keyword="  + this.keyword;
@@ -163,8 +163,8 @@
      this.activeTab = "projects";
      console.log("searchProjects");
      if(this.reloadProjects &&
-        this.fetchProjects.searchUtils.status != this.errorCodes.NONE &&
-        this.fetchProjects.searchUtils.status != this.errorCodes.ERROR) {
+        ( this.fetchProjects.searchUtils.status == this.errorCodes.LOADING ||
+          this.fetchProjects.searchUtils.status == this.errorCodes.DONE )) {
        this.reloadProjects = false;
        console.log("do the search  searchProjects");
 
@@ -175,8 +175,8 @@
    public  searchDataProviders() {
      this.activeTab = "content providers";
      if( this.reloadDataproviders &&
-         this.fetchDataproviders.searchUtils.status != this.errorCodes.NONE &&
-         this.fetchDataproviders.searchUtils.status != this.errorCodes.ERROR) {
+         ( this.fetchDataproviders.searchUtils.status == this.errorCodes.LOADING ||
+           this.fetchDataproviders.searchUtils.status == this.errorCodes.DONE )) {
        this.reloadDataproviders = false;
        this.fetchDataproviders.getResultsByKeyword(this.keyword, 1, 10);
        this.linkToSearchDataproviders = OpenaireProperties.getLinkToSearchDataProviders();// + "?keyword="  + this.keyword;
@@ -185,8 +185,8 @@
    public searchOrganizations() {
      this.activeTab = "organizations";
      if( this.reloadOrganizations &&
-         this.fetchOrganizations.searchUtils.status != this.errorCodes.NONE &&
-         this.fetchOrganizations.searchUtils.status != this.errorCodes.ERROR) {
+         ( this.fetchOrganizations.searchUtils.status == this.errorCodes.LOADING ||
+           this.fetchOrganizations.searchUtils.status == this.errorCodes.DONE )) {
        this.reloadOrganizations = false;
        this.fetchOrganizations.getResultsByKeyword(this.keyword,  1, 10);
        this.linkToSearchOrganizations = OpenaireProperties.getLinkToSearchOrganizations();// + "?keyword="  + this.keyword;
@@ -234,7 +234,14 @@
              },
              err => {
        		    console.log(err);
-              this.fetchPublications.searchUtils.status = this.errorCodes.ERROR;
+              if(err.status == '404') {
+                this.fetchPublications.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.fetchPublications.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.fetchPublications.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
+              //this.fetchPublications.searchUtils.status = this.errorCodes.ERROR;
        		 }
       );
     }
@@ -251,7 +258,14 @@
              },
              err => {
                  console.log(err);
-                 this.fetchDatasets.searchUtils.status = this.errorCodes.ERROR;
+                 if(err.status == '404') {
+                   this.fetchDatasets.searchUtils.status = this.errorCodes.NOT_FOUND;
+                 } else if(err.status == '500') {
+                   this.fetchDatasets.searchUtils.status = this.errorCodes.ERROR;
+                 } else {
+                   this.fetchDatasets.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                 }
+                 //this.fetchDatasets.searchUtils.status = this.errorCodes.ERROR;
               }
        );
     }
@@ -268,7 +282,14 @@
              },
              err => {
                  console.log(err);
-                 this.fetchProjects.searchUtils.status = this.errorCodes.ERROR;
+                 if(err.status == '404') {
+                   this.fetchProjects.searchUtils.status = this.errorCodes.NOT_FOUND;
+                 } else if(err.status == '500') {
+                   this.fetchProjects.searchUtils.status = this.errorCodes.ERROR;
+                 } else {
+                   this.fetchProjects.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                 }
+                 //this.fetchProjects.searchUtils.status = this.errorCodes.ERROR;
               }
        );
      }
@@ -289,7 +310,14 @@
              },
              err => {
                  console.log(err);
-                 this.fetchOrganizations.searchUtils.status = this.errorCodes.ERROR;
+                 if(err.status == '404') {
+                   this.fetchOrganizations.searchUtils.status = this.errorCodes.NOT_FOUND;
+                 } else if(err.status == '500') {
+                   this.fetchOrganizations.searchUtils.status = this.errorCodes.ERROR;
+                 } else {
+                   this.fetchOrganizations.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                 }
+                 //this.fetchOrganizations.searchUtils.status = this.errorCodes.ERROR;
 
               }
          );
Index: modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDataproviders.component.ts
===================================================================
--- modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDataproviders.component.ts	(revision 49173)
+++ modules/uoa-services-portal/trunk/portal-2/src/app/searchPages/simple/searchDataproviders.component.ts	(revision 49174)
@@ -20,6 +20,8 @@
 				         (queryChange)="queryChanged($event)"
                  [csvParams]="csvParams" csvPath="datasources" advancedSearchLink="/search/advanced/dataproviders"
                  [disableForms]="disableForms"
+                 [loadPaging]="loadPaging"
+                 [oldTotalResults]="oldTotalResults"
                  searchFormClass="datasourcesSearchForm">
     </search-page>
 
@@ -26,6 +28,8 @@
     `
 })
 export class SearchDataprovidersComponent {
+  private errorCodes: ErrorCodes;
+
   public results =[];
   public filters =[];
   public totalResults:number  = 0 ;
@@ -35,7 +39,7 @@
   public _location:Location;
   public searchFields:SearchFields = new SearchFields();
   public refineFields: string[] =  this.searchFields.DATASOURCE_REFINE_FIELDS;
-   public fieldIdsMap= this.searchFields.DATASOURCE_FIELDS;
+  public fieldIdsMap= this.searchFields.DATASOURCE_FIELDS;
   public CSV: any = {  "columnNames":  [ "Title", "Type", "Coutries", "Compatibility" ],
                         "export":[]
                      };
@@ -43,12 +47,14 @@
   public csvParams: string;
 
   public disableForms: boolean = false;
+  public loadPaging: boolean = true;
+  public oldTotalResults: number = 0;
 
   @ViewChild (SearchPageComponent) searchPage : SearchPageComponent ;
 
   constructor (private route: ActivatedRoute, private _searchDataprovidersService: SearchDataprovidersService ) {
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status =errorCodes.LOADING;
+    this.errorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
     this.searchUtils.page =1;
     this.baseUrl = OpenaireProperties.getLinkToSearchDataProviders();
   }
@@ -59,17 +65,22 @@
      var firstLoad =true;
 
     this.sub =  this.route.queryParams.subscribe(params => {
-        this.searchUtils.keyword = (params['keyword']?params['keyword']:'');
-        var refine = true;
-        if(this.searchUtils.page != ((params['page']=== undefined)?1:+params['page']) && this.filters && !firstLoad){
-          refine = false;
+      if(params['page'] && this.searchUtils.page != params['page']) {
+        this.loadPaging = false;
+        this.oldTotalResults = this.searchUtils.totalResults;
+      }
 
-        }
-        firstLoad = false;
-        this.searchUtils.page = (params['page']=== undefined)?1:+params['page'];
+      this.searchUtils.keyword = (params['keyword']?params['keyword']:'');
+      var refine = true;
+      if(this.searchUtils.page != ((params['page']=== undefined)?1:+params['page']) && this.filters && !firstLoad){
+        refine = false;
 
-         var queryParameters = this.searchPage.getQueryParametersFromUrl(params);
-        this._getResults(queryParameters, refine, this.searchUtils.page, this.searchUtils.size);
+      }
+      firstLoad = false;
+      this.searchUtils.page = (params['page']=== undefined)?1:+params['page'];
+
+      var queryParameters = this.searchPage.getQueryParametersFromUrl(params);
+      this._getResults(queryParameters, refine, this.searchUtils.page, this.searchUtils.size);
     });
   }
 
@@ -83,8 +94,8 @@
   }
 
   public getNumForEntity(entity: string, id:string) {
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
 
       if(id != "" && entity != "") {
 
@@ -92,10 +103,10 @@
               data => {
                   this.searchUtils.totalResults = data;
 
-                  var errorCodes:ErrorCodes = new ErrorCodes();
-                  this.searchUtils.status = errorCodes.DONE;
+                  //var errorCodes:ErrorCodes = new ErrorCodes();
+                  this.searchUtils.status = this.errorCodes.DONE;
                   if(this.searchUtils.totalResults == 0 ){
-                    this.searchUtils.status = errorCodes.NONE;
+                    this.searchUtils.status = this.errorCodes.NONE;
                   }
               },
               err => {
@@ -104,8 +115,16 @@
                   // if( ){
                   //   this.searchUtils.status = ErrorCodes.ERROR;
                   // }
-                  var errorCodes:ErrorCodes = new ErrorCodes();
-                  this.searchUtils.status = errorCodes.ERROR;
+                  //var errorCodes:ErrorCodes = new ErrorCodes();
+                  //this.searchUtils.status = errorCodes.ERROR;
+
+                  if(err.status == '404') {
+                    this.searchUtils.status = this.errorCodes.NOT_FOUND;
+                  } else if(err.status == '500') {
+                    this.searchUtils.status = this.errorCodes.ERROR;
+                  } else {
+                    this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                  }
               }
           );
       }
@@ -112,17 +131,17 @@
   }
 
   public getNumForSearch(keyword: string) {
-      var errorCodes:ErrorCodes = new ErrorCodes();
-      this.searchUtils.status = errorCodes.LOADING;
+      //var errorCodes:ErrorCodes = new ErrorCodes();
+      this.searchUtils.status = this.errorCodes.LOADING;
 
       this._searchDataprovidersService.numOfDataproviders(keyword).subscribe(
           data => {
               this.searchUtils.totalResults = data;
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -131,8 +150,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
@@ -148,10 +174,10 @@
               console.info("search Dataproviders forDeposit: [id:"+id+", type:"+type+" ]  [total results:"+this.totalResults+"]");
               this.results = data[1];
 
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.DONE;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              this.searchUtils.status = this.errorCodes.DONE;
               if(this.searchUtils.totalResults == 0 ){
-                this.searchUtils.status = errorCodes.NONE;
+                this.searchUtils.status = this.errorCodes.NONE;
               }
           },
           err => {
@@ -160,8 +186,15 @@
               // if( ){
               //   this.searchUtils.status = ErrorCodes.ERROR;
               // }
-              var errorCodes:ErrorCodes = new ErrorCodes();
-              this.searchUtils.status = errorCodes.ERROR;
+              //var errorCodes:ErrorCodes = new ErrorCodes();
+              //this.searchUtils.status = errorCodes.ERROR;
+              if(err.status == '404') {
+                this.searchUtils.status = this.errorCodes.NOT_FOUND;
+              } else if(err.status == '500') {
+                this.searchUtils.status = this.errorCodes.ERROR;
+              } else {
+                this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+              }
           }
       );
   }
@@ -181,10 +214,10 @@
                 console.info("search Dataproviders for "+entity+": [Parameters:"+parameters+" ]  [total results:"+this.searchUtils.totalResults+"]");
                 this.results = data[1];
 
-                var errorCodes:ErrorCodes = new ErrorCodes();
-                this.searchUtils.status = errorCodes.DONE;
+                //var errorCodes:ErrorCodes = new ErrorCodes();
+                this.searchUtils.status = this.errorCodes.DONE;
                 if(this.searchUtils.totalResults == 0 ){
-                  this.searchUtils.status = errorCodes.NONE;
+                  this.searchUtils.status = this.errorCodes.NONE;
                 }
             },
             err => {
@@ -193,8 +226,15 @@
                 // if( ){
                 //   this.searchUtils.status = ErrorCodes.ERROR;
                 // }
-                var errorCodes:ErrorCodes = new ErrorCodes();
-                this.searchUtils.status = errorCodes.ERROR;
+                //var errorCodes:ErrorCodes = new ErrorCodes();
+                //this.searchUtils.status = errorCodes.ERROR;
+                if(err.status == '404') {
+                  this.searchUtils.status = this.errorCodes.NOT_FOUND;
+                } else if(err.status == '500') {
+                  this.searchUtils.status = this.errorCodes.ERROR;
+                } else {
+                  this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+                }
             }
         );
     }
@@ -208,10 +248,10 @@
             console.info("search Dataproviders for Entity Registry: [Id:"+id+" ]  [total results:"+this.searchUtils.totalResults+"]");
             this.results = data[1];
 
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
         },
         err => {
@@ -220,8 +260,15 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
         }
     );
   }
@@ -239,8 +286,8 @@
     // if(!refine && !this.searchPage){
     //     this.searchPage = new SearchPageComponent(this._location);
     // }
-    var errorCodes:ErrorCodes = new ErrorCodes();
-    this.searchUtils.status = errorCodes.LOADING;
+    //var errorCodes:ErrorCodes = new ErrorCodes();
+    this.searchUtils.status = this.errorCodes.LOADING;
 
     //this.searchPage.openLoading();
     this.disableForms = true;
@@ -258,15 +305,15 @@
             this.searchPage.checkSelectedFilters(this.filters);
             // this.filters = this.searchPage.checkSelectedFilters(data[2]);
             this.searchPage.updateBaseUrlWithParameters(this.filters);
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.DONE;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            this.searchUtils.status = this.errorCodes.DONE;
             if(this.searchUtils.totalResults == 0 ){
-              this.searchUtils.status = errorCodes.NONE;
+              this.searchUtils.status = this.errorCodes.NONE;
             }
             //this.searchPage.closeLoading();
             this.disableForms = false;
 
-            if(this.searchUtils.status == errorCodes.DONE) {
+            if(this.searchUtils.status == this.errorCodes.DONE) {
               // Page out of limit!!!
               let totalPages:any = this.searchUtils.totalResults/(this.searchUtils.size);
               if(!(Number.isInteger(totalPages))) {
@@ -274,7 +321,7 @@
               }
               if(totalPages < page) {
                 this.searchUtils.totalResults = 0;
-                this.searchUtils.status = errorCodes.OUT_OF_BOUND;
+                this.searchUtils.status = this.errorCodes.OUT_OF_BOUND;
               }
             }
         },
@@ -284,8 +331,16 @@
             // if( ){
             //   this.searchUtils.status = ErrorCodes.ERROR;
             // }
-            var errorCodes:ErrorCodes = new ErrorCodes();
-            this.searchUtils.status = errorCodes.ERROR;
+            //var errorCodes:ErrorCodes = new ErrorCodes();
+            //this.searchUtils.status = errorCodes.ERROR;
+            if(err.status == '404') {
+              this.searchUtils.status = this.errorCodes.NOT_FOUND;
+            } else if(err.status == '500') {
+              this.searchUtils.status = this.errorCodes.ERROR;
+            } else {
+              this.searchUtils.status = this.errorCodes.NOT_AVAILABLE;
+            }
+
             //this.searchPage.closeLoading();
             this.disableForms = false;
         }
@@ -297,6 +352,8 @@
   }
 
   public queryChanged($event) {
+    this.loadPaging = true;
+    
     var parameters = $event.value;
     this._getResults(parameters, true, this.searchUtils.page, this.searchUtils.size);
   }
